body {
    background-color: rgb(0, 0, 0);
}




.nav-container {
    background-color: rgb(0, 0, 0);
    height: 100%;

}


.body-container {
    background-color: rgb(0, 0, 0);
    height: 100%;
}




/* 以下是左边导航栏 */
/* *,
*:after,
*:before {
  box-sizing: border-box;
} */


.nav_container_m {

    margin-top: 10vh;
    right: 0;
    bottom: 0;
    border-radius: 10px;
    align-items: center;
    justify-content: center;
    background-color: rgb(138, 138, 138);
  }
  

.menu {
  display: flex;
  flex-direction: column;
  background-color: var(--color-bg-secondary);
  border-radius: 10px;
  box-shadow: 0 10px 20px rgba(#404040, 0.15);
list-style-type: none;


}

.menu-list {
  margin: 0;
  display: block;
  width: 100%;
  padding: 8px;
  & + .menu-list {
    border-top: 1px solid #ddd;
list-style-type: none;


  }
}
.menu-sub-list {
  display: none;
  padding: 8px;
  background-color: var(--color-bg-secondary);
  border-radius: 10px;
  box-shadow: 0 10px 20px rgba(#404040, 0.15);
  position: absolute;
  left: 100%;
  right: 0;
  z-index: 100;
  width: 100%;
  top: 0;
  flex-direction: column;

list-style-type: none;
background-color: rgb(138, 138, 138);

  &:hover {
    display: flex;
  }
}

.menu-item {
  position: relative;
  list-style-type: none;
}

.menu-button {

  position: relative; /*为了旁边的小箭头*/


  color: white;
  font: inherit;
  border: 0;
  padding: 8px 8px;
  padding-right: 36px;
  width: 100%;
  border-radius: 8px;
  text-align: left;
  display: flex;
  align-items: center;
  position: relative;
  background-color: var(--color-bg-secondary);
  &:hover {
    background-color: rgb(52, 56, 59);
    & + .menu-sub-list {
      display: flex;
    }
    svg {
      stroke: var(--color-text-primary);
    }
  }
  svg {
    flex-shrink: 0;
    width: 20px;
    height: 20px;
    margin-right: 10px;
    stroke: var(--color-text-primary-offset);
    &:nth-of-type(2) {
      margin-right: 0;
      position: absolute;
      right: 8px;
    }
  }

  &--delete {
    &:hover {
      color: var(--color-red);
      svg:first-of-type {
        stroke: var(--color-red);
      }
    }
  }

  &--orange {
    svg:first-of-type {
      stroke: var(--color-orange);
    }
  }

  &--green {
    svg:first-of-type {
      stroke: var(--color-green);
    }
  }
  &--purple {
    svg:first-of-type {
      stroke: var(--color-purple);
    }
  }
  &--black {
    svg:first-of-type {
      stroke: var(--color-black);
    }
  }
  
  &--checked {
    svg:nth-of-type(2) {
      stroke: var(--color-purple);
    }
  }
}


.menu-button a {
  position:absolute;
  right: 10px;
  color: white;
}





/* 以下是右边主题 */
.content {
    margin-top: 10vh;
    color: white;
    margin-left: 10vh;
}


/*datatables*/
.page_table {
  color: white;
}



/*foot text*/
.foot_text {
  padding-bottom: 5vh;
}


/** 表头样式**/
table.dataTable.display thead tr th {
    border-bottom: 3px solid rgb(89, 81, 205);
  }
 

/*行线*/

.display.row-border.hover tr td {
  border-top: 1px solid rgb(64, 67, 70);
}


/* 调整筛选框的边距页面 */
.dataTables_length.dataTables_filter {
  margin-top: 10px;
}

/*第二行颜色*/
.ppoint{
  color: rgb(89, 81, 205);
}


/* 以上是右边主题 */




/* 以下是index页面 */
.ml h2 {
  margin-top: 5vh;
}


.ml_1 ul li {
  list-style-type:none
}

.ml_1  a {
  text-decoration: none;
  color: rgb(81, 89, 205);
}

.ml_1  a:hover {
  text-decoration: none;
  color: rgb(220, 220, 220);
}

.ml_1  ul li > a {
  font-size: larger;
}

/* 以上是index页面 */





